## net.i2p.crypto
Class DummyPooledRandomSource

    java.lang.Object
      java.util.Random
          java.security.SecureRandom
              net.i2p.util.RandomSource
                  net.i2p.util.PooledRandomSource
                      net.i2p.crypto.DummyPooledRandomSource

All Implemented Interfaces:
  java.io.Serializable, EntropyHarvester

    public class DummyPooledRandomSource

extends PooledRandomSource

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.i2p.util.PooledRandomSource
`_nextPool, _pool, POOL_SIZE, PROP_BUFFER_SIZE`

Fields inherited from class net.i2p.util.RandomSource
`_context`

Constructor Summary
`DummyPooledRandomSource(I2PAppContext context)`

Method Summary
`protected void` `initializePool(I2PAppContext context)`

Methods inherited from class net.i2p.util.PooledRandomSource
`harvester, main, nextBoolean, nextBytes, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong, nextLong`

Methods inherited from class net.i2p.util.RandomSource
`feedEntropy, feedEntropy, getInstance, initSeed, loadSeed, saveSeed, writeSeed`

Methods inherited from class java.security.SecureRandom
`generateSeed, getAlgorithm, getInstance, getInstance, getInstance, getProvider, getSeed, next, setSeed, setSeed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyPooledRandomSource

    public DummyPooledRandomSource(I2PAppContext context)

Method Detail

### initializePool

    protected void initializePool(I2PAppContext context)

  Overrides:
    `initializePool` in class `PooledRandomSource`